Bug 838491 - Edit host interfaces menu doesn't change by data-center version
Edit host interfaces menu doesn't change by data-center version
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Alona Kaplan
Depends On:
  Show dependency treegraph
Reported: 2012-07-09 05:08 EDT by Moti Asayag
Modified: 2016-02-10 14:58 EST (History)
8 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:01:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-07-09 05:08:15 EDT
Description of problem:

The actions (buttons) of the host interfaces sub-tab doesn't change according to the host version once the host is moved between DCs of different versions: 

When moving the Host to DC 3.1, there should be SetupNetwork buttons.
However, the same buttons for 3.0 DC 'Host Network interfaces' sub tab remain.
(Same for moving the host from DC 3.1 to DC 3.0)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to hosts tab
2. Select for a host the 'Network Interfaces' sub-tab (the buttons appear according to the DC version)
3. Edit the host and update its version to other version (if originally 3.0, move to 3.1, or the opposite)
Actual results:
The buttons weren't updated: for 3.0 DC host there are buttons for SetupNetworks.

Expected results:
The buttons should be updated according to the DC version.

Additional info:
Comment 1 Itamar Heim 2012-07-09 06:36:40 EDT
why is this DC level and not host level? what are the DC considerations for using the net host level api?
Comment 2 Moti Asayag 2012-07-09 08:52:44 EDT
To be more exact - the cluster level is used to determine the supported actiosn for that cluster. The supported cluster version for SetupNetwork is 3.1: The SetupNetworks is being verified to be run on minimal cluster version of 3.1
(defined on action_version_map). So defining it by host level will cause SetupNetworks commands from 3.0 cluster will fail.

The current behaviour of 'Edit' host, when moving the host between cluster levels, the menu for the network interfaces remains the same.

Once you move to other sub-tab and return to the 'Network Interfaces' sub-tab, the buttons are updated to match the DC level (regardless host compatibility).
Comment 3 Alona Kaplan 2012-08-15 08:23:12 EDT
If changing the dc of the host from  a dc with 3.1 version to another dc with 3.1 and the trying to open setupnetworks (without refreshing the subtab)- there is a NPE.
Comment 4 Alona Kaplan 2012-08-22 12:00:12 EDT
upstream commit 98b4f7c4d09bb406b1e0908321f76006e849f553
Comment 6 Alona Kaplan 2012-08-26 10:21:23 EDT
upstream commit 4592e824cb323dadb7ba193fcf9d91d2e1db1221
Comment 8 GenadiC 2012-09-02 11:08:24 EDT
Verified in SI16

Note You need to log in before you can comment on or make changes to this bug.